# getConnectionPowerProfile

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/teams/{teamId}/dynamics/profile/{power} |

| Field | Value |
|---|---|
| operationId | getConnectionPowerProfile |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /teams/{teamId}/dynamics/profile/{power} |
| tags | `Teams` |
| summary | Get a connection power profile for a team |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| teamId | path | true | string |  |
| power | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Connection power profile for the selected team power | #/components/schemas/ConnectionPowerProfileResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
